# Class Thelia\Model\om\BaseMessageI18nQuery | thelia

# Class BaseMessageI18nQuery

Base class that represents a query for the 'message_i18n' table.

  ModelCriteria
  Thelia\Model\om\BaseMessageI18nQuery

#### Direct known subclasses

Thelia\Model\MessageI18nQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseMessageI18nQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\MessageI18n', string $modelAlias = null )`

Initializes internal state of BaseMessageI18nQuery object.

Initializes internal state of BaseMessageI18nQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\MessageI18nQuery``

# `create( string $modelAlias = null, `Thelia\Model\MessageI18nQuery`|Criteria $criteria = null )`

Returns a new MessageI18nQuery object.

Returns a new MessageI18nQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\MessageI18nQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18n`|`Thelia\Model\MessageI18n[]`|mixed`

# `findPk( array $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj = $c->findPk(array(12, 34), $con);

#### Parameters

$key
  `array`
  $key Primary key to use for the query A Primary key composition: [$id, $locale]
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\MessageI18n`|`Thelia\Model\MessageI18n[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\MessageI18n``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\MessageI18n``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\MessageI18n`|`Thelia\Model\MessageI18n[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\MessageI18n`|`Thelia\Model\MessageI18n[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\MessageI18n[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\MessageI18n[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\MessageI18nQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseMessageI18nQuery::filterByMessage()``

`public `Thelia\Model\MessageI18nQuery``

# `filterByLocale( string $locale = null, string $comparison = null )`

Filter the query on the locale column

Filter the query on the locale column

Example usage:

    $query->filterByLocale('fooValue');   // WHERE locale = 'fooValue'
    $query->filterByLocale('%fooValue%'); // WHERE locale LIKE '%fooValue%'

#### Parameters

$locale
  `string`
  $locale The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterByTitle( string $title = null, string $comparison = null )`

Filter the query on the title column

Filter the query on the title column

Example usage:

    $query->filterByTitle('fooValue');   // WHERE title = 'fooValue'
    $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'

#### Parameters

$title
  `string`
  $title The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterByDescription( string $description = null, string $comparison = null )`

Filter the query on the description column

Filter the query on the description column

Example usage:

    $query->filterByDescription('fooValue');   // WHERE description = 'fooValue'
    $query->filterByDescription('%fooValue%'); // WHERE description LIKE '%fooValue%'

#### Parameters

$description
  `string`
  $description The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterByDescriptionHtml( string $descriptionHtml = null, string $comparison = null )`

Filter the query on the description_html column

Filter the query on the description_html column

Example usage:

    $query->filterByDescriptionHtml('fooValue');   // WHERE description_html = 'fooValue'
    $query->filterByDescriptionHtml('%fooValue%'); // WHERE description_html LIKE '%fooValue%'

#### Parameters

$descriptionHtml
  `string`
  $descriptionHtml The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageI18nQuery``

# `filterByMessage( `Thelia\Model\Message`|PropelObjectCollection $message, string $comparison = null )`

Filter the query by a related Message object

Filter the query by a related Message object

#### Parameters

$message
  ``Thelia\Model\Message`|PropelObjectCollection`
  $message The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\MessageI18nQuery``

# `joinMessage( string $relationAlias = null, string $joinType = 'LEFT JOIN' )`

Adds a JOIN clause to the query using the Message relation

Adds a JOIN clause to the query using the Message relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

`public `Thelia\Model\MessageQuery``

# `useMessageQuery( string $relationAlias = null, string $joinType = 'LEFT JOIN' )`

Use the Message relation Message object

Use the Message relation Message object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\MessageQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\MessageI18nQuery``

# `prune( `Thelia\Model\MessageI18n` $messageI18n = null )`

Exclude object from result

Exclude object from result

#### Parameters

$messageI18n
  ``Thelia\Model\MessageI18n``
  $messageI18n Object to remove from the list of results

#### Returns

``Thelia\Model\MessageI18nQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\MessageI18nQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `orderByLocale( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the locale column

Order by the locale column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `orderByTitle( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the title column

Order by the title column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `orderByDescription( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the description column

Order by the description column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `orderByDescriptionHtml( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the description_html column

Order by the description_html column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `groupByLocale( )`

Group by the locale column

Group by the locale column

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `groupByTitle( )`

Group by the title column

Group by the title column

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `groupByDescription( )`

Group by the description column

Group by the description column

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `groupByDescriptionHtml( )`

Group by the description_html column

Group by the description_html column

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `leftJoinMessage( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Message relation

Adds a LEFT JOIN clause to the query using the Message relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `rightJoinMessage( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Message relation

Adds a RIGHT JOIN clause to the query using the Message relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18nQuery``

# `innerJoinMessage( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Message relation

Adds a INNER JOIN clause to the query using the Message relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\MessageI18nQuery``

`public `Thelia\Model\MessageI18n``

# `findOne( PropelPDO $con = null )`

Return the first MessageI18n matching the query

Return the first MessageI18n matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first MessageI18n matching the query, or a new MessageI18n object populated from the query conditions when no match is found

Return the first MessageI18n matching the query, or a new MessageI18n object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneById( integer $id = )`

Return the first MessageI18n filtered by the id column

Return the first MessageI18n filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneByLocale( string $locale = )`

Return the first MessageI18n filtered by the locale column

Return the first MessageI18n filtered by the locale column

#### Parameters

$locale
  `string`
  $locale

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneByTitle( string $title = )`

Return the first MessageI18n filtered by the title column

Return the first MessageI18n filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneByDescription( string $description = )`

Return the first MessageI18n filtered by the description column

Return the first MessageI18n filtered by the description column

#### Parameters

$description
  `string`
  $description

#### Returns

``Thelia\Model\MessageI18n``

`public `Thelia\Model\MessageI18n``

# `findOneByDescriptionHtml( string $description_html = )`

Return the first MessageI18n filtered by the description_html column

Return the first MessageI18n filtered by the description_html column

#### Parameters

$description_html
  `string`
  $description_html

#### Returns

``Thelia\Model\MessageI18n``

`public array`

# `findById( integer $id = )`

Return MessageI18n objects filtered by the id column

Return MessageI18n objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByLocale( string $locale = )`

Return MessageI18n objects filtered by the locale column

Return MessageI18n objects filtered by the locale column

#### Parameters

$locale
  `string`
  $locale

#### Returns

`array`

`public array`

# `findByTitle( string $title = )`

Return MessageI18n objects filtered by the title column

Return MessageI18n objects filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

`array`

`public array`

# `findByDescription( string $description = )`

Return MessageI18n objects filtered by the description column

Return MessageI18n objects filtered by the description column

#### Parameters

$description
  `string`
  $description

#### Returns

`array`

`public array`

# `findByDescriptionHtml( string $description_html = )`

Return MessageI18n objects filtered by the description_html column

Return MessageI18n objects filtered by the description_html column

#### Parameters

$description_html
  `string`
  $description_html

#### Returns

`array`